Docker: Remove permission check for storage folder on startup #2334

This commit is contained in:
Michael Mayer 2022-05-20 10:38:37 +02:00
parent da8710713a
commit 040f206998

View file

@ -13,10 +13,6 @@ set -e
# create directory if not exists
mkdir -p "${STORAGE_PATH}" || (echo "Failed creating storage folder \"$STORAGE_PATH\", see $DOC_URL" 1>&2; exit 1)
# check directory permissions
[[ -w "${STORAGE_PATH}" ]] || \
(echo "Storage folder \"$STORAGE_PATH\" is not writable, see $DOC_URL" 1>&2; exit 1)
# create and delete test file
(touch "${STORAGE_PATH}/is-writable" 2>/dev/null && rm "${STORAGE_PATH}/is-writable") || \
(echo "Failed creating test file in storage folder, see $DOC_URL" 1>&2; exit 1)